commit d31861d19ef895cbaa6cc09ebcf676e77133fbda
parent 08210fb4712e9ad1c07a9e1498f603a9a602158e
Author: Gerrit Pape <pape@smarden.org>
Date: Mon, 20 Sep 2004 20:02:46 +0000
1.0.5.
Diffstat:
11 files changed, 26 insertions(+), 18 deletions(-)
diff --git a/Makefile b/Makefile
@@ -1,6 +1,6 @@
DESTDIR=
-PACKAGE=runit-1.0.4
+PACKAGE=runit-1.0.5
DIRS=doc man etc package src
MANPAGES=runit.8 runit-init.8 runsvdir.8 runsv.8 svwaitdown.8 svwaitup.8 \
utmpset.8 runsvchdir.8 runsvstat.8 runsvctrl.8 svlogd.8 chpst.8
diff --git a/debian/rules b/debian/rules
@@ -23,8 +23,8 @@ DIR =$(shell pwd)/debian/runit
unpack: deb-checkdir unpack-stamp
unpack-stamp:
- tar xzf runit-1.0.4.tar.gz
- ln -s runit-1.0.4 admin/runit
+ tar xzf runit-1.0.5.tar.gz
+ ln -s runit-1.0.5 admin/runit
(cd admin/runit && patch -p0) <debian/diff/svlogd.diff
echo '$(CC) $(CFLAGS)' >admin/runit/src/conf-cc
echo '$(CC) $(LDFLAGS)' >admin/runit/src/conf-ld
diff --git a/doc/install.html b/doc/install.html
@@ -17,14 +17,14 @@ If you don't have a <tt>/package</tt> directory, create it now:
# chmod 1755 /package
</pre>
Download
-<a href="runit-1.0.4.tar.gz">runit-1.0.4.tar.gz</a> into <tt>/package</tt>
+<a href="runit-1.0.5.tar.gz">runit-1.0.5.tar.gz</a> into <tt>/package</tt>
and unpack the archive
<pre>
# cd /package
- # gunzip runit-1.0.4.tar
- # tar -xpf runit-1.0.4.tar
- # rm runit-1.0.4.tar
- # cd admin/runit-1.0.4
+ # gunzip runit-1.0.5.tar
+ # tar -xpf runit-1.0.5.tar
+ # rm runit-1.0.5.tar
+ # cd admin/runit-1.0.5
</pre>
On MacOSX, do
<pre>
@@ -43,7 +43,7 @@ hierarchy, do:
</pre>
To report success:
<pre>
- # mail pape-runit-1.0.4@smarden.org <compile/sysdeps
+ # mail pape-runit-1.0.5@smarden.org <compile/sysdeps
</pre>
If you use <i>runit</i> regularly, please
<a href="http://smarden.org/pape/#contribution">contribute</a> to the project.
diff --git a/doc/replaceinit.html b/doc/replaceinit.html
@@ -117,7 +117,7 @@ default Unix process no 1 <i>runit</i>.
</pre>
To report success:
<pre>
- # ( uname -a ; cat /etc/runit/[123] ) |mail pape-runit-1.0.4@smarden.org
+ # ( uname -a ; cat /etc/runit/[123] ) |mail pape-runit-1.0.5@smarden.org
</pre>
<hr>
@@ -206,7 +206,7 @@ This will cause <i>runit</i> to enter stage 3 which runs
<p>
To report success:
<pre>
- # ( uname -a ; cat /etc/runit/[123] ) | mail pape-runit-1.0.4@smarden.org
+ # ( uname -a ; cat /etc/runit/[123] ) |mail pape-runit-1.0.5@smarden.org
</pre>
<h3>Step 5: Service migration</h3>
The goal is to migrate all services from <i>/etc/rc.*</i> scheme to the
diff --git a/package/CHANGES b/package/CHANGES
@@ -8,6 +8,8 @@ Mon, 20 Sep 2004 19:53:33 +0000
session/process group (thx Dan Melomedman).
* man/svlogd.8: minor fixes.
* man/svwaitdown.8: remove hint about -x option.
+ * package/check, package/compile, package/install, package/install-man,
+ package/upgrade: use set -e instead of #!/bin/sh -e.
runit 1.0.4
Sun, 01 Aug 2004 18:29:36 +0000
diff --git a/package/check b/package/check
@@ -1,4 +1,5 @@
-#!/bin/sh -e
+#!/bin/sh
+set -e
umask 022
test -d package || sh -cx '! : Wrong working directory.'
diff --git a/package/compile b/package/compile
@@ -1,4 +1,5 @@
-#!/bin/sh -e
+#!/bin/sh
+set -e
umask 022
test -d package || sh -cx '! : Wrong working directory.'
diff --git a/package/install b/package/install
@@ -1,4 +1,5 @@
-#!/bin/sh -e
+#!/bin/sh
+set -e
package/compile
package/check
diff --git a/package/install-man b/package/install-man
@@ -1,4 +1,5 @@
-#!/bin/sh -e
+#!/bin/sh
+set -e
umask 022
test -d package || sh -cx '! : Wrong working directory.'
diff --git a/package/upgrade b/package/upgrade
@@ -1,4 +1,5 @@
-#!/bin/sh -e
+#!/bin/sh
+set -e
umask 022
test -d package || sh -cx '! : Wrong working directory.'
@@ -7,9 +8,9 @@ test -d src || sh -cx '! : Wrong working directory.'
here=`env - PATH=$PATH pwd`
parent=`dirname $here`
-echo 'Creating symlink runit -> runit-1.0.4...'
+echo 'Creating symlink runit -> runit-1.0.5...'
rm -f runit
-ln -s runit-1.0.4 runit
+ln -s runit-1.0.5 runit
mv -f runit ..
echo 'Making command links in /command...'
diff --git a/package/versions b/package/versions
@@ -28,3 +28,4 @@
1.0.2
1.0.3
1.0.4
+1.0.5